petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchMonitor

runs the user provided monitor routines, if they exist

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchMonitor(SNESLineSearch ls)

Collective on SNES

### Input Parameters

ls -the linesearch object

### Notes

This routine is called by the SNES implementations. It does not typically need to be called by the user.

### See Also

SNESLineSearchMonitorSet()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages